Your Name il y a 4 ans
commit
1b7a50820b

+ 1 - 0
README.md

@@ -0,0 +1 @@
+update file from working repo !

+ 47 - 0
color_ciode.ino

@@ -0,0 +1,47 @@
+void tristan()
+{ 
+     pixels.setPixelColor(0, pixels.Color(0,25,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+
+void ethan()
+{
+     pixels.setPixelColor(0, pixels.Color(30,18,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+void valentin()
+{
+     pixels.setPixelColor(0, pixels.Color(25,0,12)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+
+void two()
+{
+     pixels.setPixelColor(0, pixels.Color(0,20,0)); // Moderately bright green color.
+     pixels.setPixelColor(1, pixels.Color(0,20,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+
+void three()
+{
+     pixels.setPixelColor(0, pixels.Color(20,20,20)); // Moderately bright green color.
+     pixels.setPixelColor(1, pixels.Color(20,20,20)); // Moderately bright green color.
+     pixels.setPixelColor(2, pixels.Color(20,20,20)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+
+void off_()
+{
+     pixels.setPixelColor(0, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(1, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(2, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     in_error=0;
+}
+
+

+ 49 - 0
scripts/mcbackup.sh

@@ -0,0 +1,49 @@
+#!/bin/sh
+####################################
+#
+# Backup minecraft world to a
+# specified folder.
+#
+####################################
+
+day_raw=$(date +%A)
+case $day_raw in
+Sunday)
+day="Dimanche";;
+Monday)
+day="Lundi";;
+Tuesday)
+day="Mardi";;
+Wednesday)
+day="Mercredi";;
+Thursday)
+day="Jeudi";;
+Friday)
+day="Vendredi";;
+Saturday)
+day="Samedi";;
+*)
+;;
+esac
+archive_file="$day-Minecraft"
+
+echo $archive_file.tar.gz
+cd /tmp
+tar -I pigz -cvf /tmp/$archive_file.tar.gz  /home/dexter/minecraft/
+md5sum $archive_file.tar.gz > $archive_file.md5
+
+sudo mount -t cifs //mafreebox.freebox.fr/Disque\ dur/  /media/nas/ -o user=freebox,password=password,uid=1000,gid=1000,rw,vers=1.0
+sudo cp /tmp/$archive_file.tar.gz /media/nas/mc_backup
+sudo cp /tmp/$archive_file.md5 /media/nas/mc_backup
+sleep 6
+sudo umount /media/nas
+
+ncftpput -R -v -u "wareck" -p "zorn69" ftpperso.free.fr minecraft_bkp/ /tmp/$archive_file.tar.gz
+sleep 5
+ncftpput -R -v -u "wareck" -p "zorn69" ftpperso.free.fr minecraft_bkp/ /tmp/$archive_file.md5
+sleep 5
+
+sudo rm /tmp/$archive_file.tar.gz
+sudo rm /tmp/$archive_file.md5
+
+echo `date` "Backup done" >>/var/log/mc_backup/log

+ 61 - 0
scripts/mcled_status/mcled_status

@@ -0,0 +1,61 @@
+#!/bin/bash
+stty -F /dev/ttyACM0 ispeed 9600 ospeed 9600 -ignpar cs8 -cstopb -echo
+
+ip=$(ifconfig | sed -En 's/127.0.0.1//;s/.*inet (addr:)?(([0-9]*\.){3}[0-9]*).*/\2/p')
+test=$(mcstatus $ip status | grep players: |  awk '{print$2}' |  sed 's/\x2F20//g')
+player1=$(mcstatus 192.168.1.8 status | grep players: | awk '{print$3}' | sed 's/\[\x2E//g')
+date_raw=$(date +%H%M)
+cd ~/scripts/mcled_status/
+
+case $date_raw in
+[0700-2200]*)
+echo "Day mode"
+echo "D" >/dev/ttyACM0
+sleep 1
+;;
+[2201-0659]*)
+echo "Night mode"
+echo "N" >/dev/ttyACM0
+sleep 1
+;;
+*)
+;;
+esac
+
+case $test in
+0*)
+echo "O"
+echo "0" >/dev/ttyACM0
+;;
+1*)
+if [ $player1 = "Tristus51" ]
+then
+echo "tristan only"
+echo "T" >/dev/ttyACM0
+echo $tristan
+elif [ $player1 = "MisterPig51" ]
+then
+echo "MisterPig only"
+echo "V" >/dev/ttyACM0
+elif [ $player1 = "BobBadin" ]
+then
+echo "Ethan Only"
+echo "E" >/dev/ttyACM0
+else
+echo "1" >/dev/ttyACM0
+fi
+;;
+2*)
+echo "two"
+echo "2" >/dev/ttyACM0
+;;
+[3-9]|[1-2][0-0]*)
+echo "further"
+echo "3" >/dev/ttyACM0
+;;
+*)
+echo $test
+echo "error"
+echo "X" >/dev/ttyACM0
+;;
+esac

+ 5 - 0
scripts/run_minecraft.sh

@@ -0,0 +1,5 @@
+
+#!/bin/sh
+cd ~/minecraft
+#/opt/jdk1.8.0_161/jre/bin/java -Xms512M -Xmx1008M -jar spigot-1.12.2.jar nogui
+java -Dfile.encoding=UTF-8 -Xms256M -Xmx800M -XX:NewSize=300M -XX:MaxNewSize=500M -XX:+CMSIncrementalMode -XX:+UseConcMarkSweepGC -XX:+UseParNewGC -XX:+CMSIncrementalPacing -XX:ParallelGCThreads=4 -XX:+AggressiveOpts -XX:+AlwaysPreTouch -XX:+DisableExplicitGC -XX:SurvivorRatio=16 -XX:TargetSurvivorRatio=90 -jar spigot-1.12.2.jar nogui

+ 17 - 0
scripts/synchro_openminer.sh

@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+echo -e -n "Check NCFTP already installed    : "
+if ! [ -x "$(command -v ncftp)" ]
+then
+echo -e "[\e[91mNO\e[0m]\n"
+sudo apt-get install ncftp -y
+else
+echo -e "[\e[92mOK\e[0m]\n"
+fi
+echo -e "Upload genethos"
+ncftpput -R -v -u "wareck" -p "zorn69" ftpperso.free.fr openrig/ /var/www/folivier/genethos/*
+sleep 5
+echo ""
+echo -e "Upload grinder"
+ncftpput -R -v -u "wareck" -p "zorn69" ftpperso.free.fr grinder/ /var/www/folivier/grinder/*
+sleep 5

+ 75 - 0
serial_led_minecraft.ino

@@ -0,0 +1,75 @@
+#include <Adafruit_NeoPixel.h>
+#define PIN         9
+#define NUMPIXELS      3
+int flag=0;
+int in_error=0;
+
+Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);
+
+int incomingByte;      // a variable to read incoming serial data into
+void setup() {
+  // initialize serial communication:
+  Serial.begin(9600);
+  // initialize the LED pin as an output:
+  pixels.begin(); // This initializes the NeoPixel library.
+  pixels.setPixelColor(0, pixels.Color(8,9,10)); // Moderately bright green color.
+  pixels.show(); // This sends the updated pixel color to the hardware.
+  delay (100);
+  pixels.setPixelColor(0, pixels.Color(0,0,0)); // Moderately bright green color.
+  pixels.show();
+}
+
+
+void loop() {
+  // see if there's incoming serial data:
+  if (Serial.available() > 0) {
+    // read the oldest byte in the serial buffer:
+    incomingByte = Serial.read();
+  Serial.println(incomingByte);
+switch (incomingByte) {
+  case 48: //0 = off
+     off_();
+     break;
+  case 84: //T
+     tristan();
+     break;
+  case 86: //V
+     valentin();
+     break;
+  case 69: //E
+     ethan();
+     break;
+  case 50: //2
+     two();
+     break;
+  case 51: //3
+     three();
+     break;
+  case 88: //x
+    in_error=1;
+     break;    
+}
+}
+
+if ( in_error == 1)
+{
+    if (flag == 0){
+     pixels.setPixelColor(0, pixels.Color(20,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(1, pixels.Color(20,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(2, pixels.Color(20,0,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     flag=1 ;
+     delay (100);
+     }
+    if (flag == 1){
+     pixels.setPixelColor(0, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(1, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.setPixelColor(2, pixels.Color(0,0,0)); // Moderately bright green color.
+     pixels.show(); // This sends the updated pixel color to the hardware.
+     flag=0 ;
+     delay (300);
+     }
+}
+}
+
+